@import "../../../theme/mixins";

.container {
  background-color: #f5f5f5;
  @include esspass-12-grid-template;

  span {
    grid-column: 3/11;
    display: block;
    font-size: 3.6rem;
    font-weight: bold;
    margin: 3.75rem auto;
    text-align: center;
  }

  section {
    grid-column: 4/10;
    display: block;
    font-size: 1.8rem;
    margin: 2.5rem auto;
    width: 100%;
    text-align: center;
  }

  div {
    grid-column: 6/8;
    display: flex;
    justify-content: center;
    cursor: pointer;

    .login-shape {
      border-radius: 3rem;
      padding: 0 2.5rem;
      display: flex;
      align-items: center;
      justify-content: center;
    }

    span {
      margin: 1rem auto;
      color: var(--esspass-login-white);
      font-size: 2.1rem;
      font-weight: 400;
    }

    img {
      margin-left: 0.2rem;
    }

    .login-color {
      background-color: var(--esspass-login-color-1);
      border-color: var(--esspass-login-white);
      color: var(--esspass-login-color-1);
    }
  }

  issuer-pda1-form {
    grid-column: 1/13;
    grid-template-rows: auto 6rem;
  }
}

@media screen and (max-width: 528px) {
  .container {
    @include esspass-5-grid-random-width-gap-template(7rem, 0.5rem);

    #title {
      grid-column: 1/6;
      font-size: 2.4rem;
      font-weight: bold;
      text-align: center;
    }

    #please-submit {
      grid-column: 1/6;
      font-size: 1.8rem;
      font-weight: bold;
      text-align: center;
    }

    div {
      grid-column: 2/5;
    }
  }
}
